(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    100050,       2731]
NotebookOptionsPosition[     94366,       2629]
NotebookOutlinePosition[     94818,       2647]
CellTagsIndexPosition[     94775,       2644]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "for", " ", 
    "\"\<Multiple nutrient transporters enable cells to mitigate a \
rate-affinity tradeoff\>\"", "\[IndentingNewLine]", "by", " ", "Montano"}], 
   "-", 
   RowBox[{"Gutierrez", " ", "et", " ", 
    RowBox[{"al", ".", " ", "Contact"}], " ", 
    RowBox[{"peter", ".", 
     RowBox[{"swain", "@", "ed"}], ".", "ac", ".", "uk"}]}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.840798064418351*^9, 3.8407980783733473`*^9}, {
   3.8407983008553762`*^9, 3.8407983248395452`*^9}, {3.840802273981291*^9, 
   3.840802276184952*^9}, {3.8414781047847433`*^9, 3.841478132987966*^9}, {
   3.841478266009158*^9, 3.841478268776338*^9}, {3.841725192016671*^9, 
   3.8417251933478937`*^9}, {3.842417519778392*^9, 3.84241753450219*^9}, {
   3.842417579792633*^9, 3.8424176353189497`*^9}, {3.842418902595849*^9, 
   3.842418912028049*^9}, 3.8426146897648*^9, {3.856332915382821*^9, 
   3.8563329203618307`*^9}},ExpressionUUID->"924e9c81-ef04-4688-93c3-\
7efd89ddaaa2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "ODEs", " ", "for", " ", "four", " ", "states", " ", "of", " ", 
    "transporter"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dTi", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "ri"}], " ", "Ti"}], "+", 
      RowBox[{"re", " ", "Te"}], " ", "-", 
      RowBox[{"fi", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"], " ", "Ti"}], "+", 
      RowBox[{"bi", " ", "Tpi"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dTpi", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "rpi"}], " ", "Tpi"}], "+", 
      RowBox[{"rpe", " ", "Tpe"}], "+", 
      RowBox[{"fi", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"], " ", "Ti"}], "-", 
      RowBox[{"bi", " ", "Tpi"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dTe", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "re"}], " ", "Te"}], "+", 
      RowBox[{"ri", " ", "Ti"}], "-", 
      RowBox[{"fe", " ", 
       SuperscriptBox["he", "m"], " ", 
       SuperscriptBox["se", "n"], " ", "Te"}], "+", 
      RowBox[{"be", " ", "Tpe"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dS", "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"dTi", "\[Equal]", "0"}], ",", 
          RowBox[{"dTpi", "\[Equal]", "0"}], ",", 
          RowBox[{"dTe", "\[Equal]", "0"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Tpi", ",", "Ti", ",", "Te"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"tpe", "=", 
     RowBox[{"Tpe", "/.", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"t0", "-", "Tpi", "-", "Ti", "-", "Te", "-", "Tpe"}], 
              ")"}], "/.", 
             RowBox[{"dS", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "0"}], ",",
           "Tpe"}], "]"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.840798064418351*^9, 3.8407980783733473`*^9}, {
   3.8407983008553762`*^9, 3.8407983248395452`*^9}, {3.840802273981291*^9, 
   3.840802276184952*^9}, {3.8414781047847433`*^9, 3.841478132987966*^9}, {
   3.841478266009158*^9, 3.841478268776338*^9}, {3.841725192016671*^9, 
   3.8417251933478937`*^9}, {3.842417519778392*^9, 3.84241753450219*^9}, {
   3.842417579792633*^9, 3.8424176353189497`*^9}, {3.842418902595849*^9, 
   3.842418912028049*^9}, 3.8426146897648*^9, {3.856332915382821*^9, 
   3.856332926030655*^9}},ExpressionUUID->"1542c939-5935-4e7e-9958-\
f2913ee5ebfe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exflux", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "fi"}], " ", "Ti", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{"bi", " ", "Tpi"}]}], ")"}], "/.", 
      RowBox[{"dS", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/.", 
    RowBox[{"Tpe", "\[Rule]", "tpe"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.840798223398282*^9, 3.840798225040019*^9}, {
   3.842417652535124*^9, 3.842417662938562*^9}, {3.842418860294407*^9, 
   3.84241886069846*^9}, 3.842418893718875*^9},
 CellLabel->"In[6]:=",ExpressionUUID->"b3812daf-33c8-4baf-8461-279620b68c89"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"bi", " ", "fe", " ", 
       SuperscriptBox["he", "m"], " ", "ri", " ", "rpe", " ", 
       SuperscriptBox["se", "n"]}], "-", 
      RowBox[{"be", " ", "fi", " ", 
       SuperscriptBox["hi", "m"], " ", "re", " ", "rpi", " ", 
       SuperscriptBox["si", "n"]}]}], ")"}], " ", "t0"}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"bi", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"re", " ", "rpe"}], "+", 
       RowBox[{"ri", " ", "rpe"}], "+", 
       RowBox[{"fe", " ", 
        SuperscriptBox["he", "m"], " ", "ri", " ", 
        SuperscriptBox["se", "n"]}], "+", 
       RowBox[{"fe", " ", 
        SuperscriptBox["he", "m"], " ", "rpe", " ", 
        SuperscriptBox["se", "n"]}]}], ")"}]}], "+", 
    RowBox[{"be", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"bi", " ", 
        RowBox[{"(", 
         RowBox[{"re", "+", "ri"}], ")"}]}], "+", 
       RowBox[{"re", " ", "rpi"}], "+", 
       RowBox[{"ri", " ", "rpi"}], "+", 
       RowBox[{"fi", " ", 
        SuperscriptBox["hi", "m"], " ", "re", " ", 
        SuperscriptBox["si", "n"]}], "+", 
       RowBox[{"fi", " ", 
        SuperscriptBox["hi", "m"], " ", "rpi", " ", 
        SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"rpe", "+", "rpi"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"fi", " ", 
        SuperscriptBox["hi", "m"], " ", "re", " ", 
        SuperscriptBox["si", "n"]}], "+", 
       RowBox[{"fe", " ", 
        SuperscriptBox["he", "m"], " ", 
        SuperscriptBox["se", "n"], " ", 
        RowBox[{"(", 
         RowBox[{"ri", "+", 
          RowBox[{"fi", " ", 
           SuperscriptBox["hi", "m"], " ", 
           SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.840798101037958*^9, 3.8407982284005337`*^9, 
  3.840798332795228*^9, 3.840799570993222*^9, 3.840801575739394*^9, 
  3.840801950447357*^9, 3.8408024144131927`*^9, 3.841222813916884*^9, 
  3.841473373858178*^9, 3.84147604513627*^9, 3.841478160073434*^9, 
  3.841478300481618*^9, 3.8414787227938633`*^9, 3.8417233631553917`*^9, 
  3.8417253103069153`*^9, 3.841730550527749*^9, 3.842417665481223*^9, 
  3.842418917661675*^9, 3.8426147015180073`*^9, 3.842617652993191*^9, 
  3.843025495025737*^9, 3.851410044885611*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"8c2bb431-bd51-4f37-87a8-903b64091f8d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "apply", " ", "symmetry", " ", "of", " ", "flipping", " ", "and", " ", 
     "detailed", " ", "balance"}], ";", " ", 
    RowBox[{
    "note", " ", "that", " ", "r", " ", "cannot", " ", "be", " ", "rp", " ", 
     "because", " ", "of", " ", "the", " ", "charge", " ", "being", " ", 
     "carried"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"ef", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"exflux", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"re", "->", "r"}], ",", 
       RowBox[{"ri", "->", "r"}], ",", 
       RowBox[{"rpe", "->", 
        RowBox[{"r", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"lam", "-", "1"}], ")"}], " ", "u"}], "]"}]}]}], ",", 
       RowBox[{"rpi", "->", 
        RowBox[{"r", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"lam", " ", "u"}], "]"}]}]}], ",", 
       RowBox[{"bi", "->", " ", 
        RowBox[{
         RowBox[{"be", "/", "fe"}], " ", "fi"}]}]}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.841473739098584*^9, 3.841473757885275*^9}, {
  3.8414738022561293`*^9, 3.841473870239937*^9}, {3.841473922671011*^9, 
  3.8414739536943483`*^9}, {3.841474095365469*^9, 3.8414740990548067`*^9}, {
  3.8414742626193857`*^9, 3.8414742795055*^9}, {3.84147473421035*^9, 
  3.841474772416298*^9}, {3.841477706031509*^9, 3.8414777273897867`*^9}, {
  3.841478314699703*^9, 3.8414783229469233`*^9}, {3.841725213060598*^9, 
  3.841725221034371*^9}, {3.84172536985083*^9, 3.841725376095611*^9}, {
  3.842417685319968*^9, 3.8424176901251698`*^9}, {3.842418274497286*^9, 
  3.842418319510113*^9}, {3.842419025579311*^9, 3.842419033577382*^9}, {
  3.8424192335838633`*^9, 3.842419244115467*^9}, {3.842419712964259*^9, 
  3.8424197623063507`*^9}, {3.842614721780545*^9, 3.8426147263833923`*^9}, {
  3.843025532012274*^9, 3.8430255715808487`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"b94d20ba-c28d-4fdc-864f-fba3ed0e73af"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"be", " ", "fe", " ", "fi", " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
       SuperscriptBox["he", "m"], " ", 
       SuperscriptBox["se", "n"]}], "-", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}], " ", "t0"}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["be", "2"], " ", "fi"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fe", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"fi", " ", 
        SuperscriptBox["hi", "m"], " ", "r", " ", 
        SuperscriptBox["si", "n"]}], "+", 
       RowBox[{"fe", " ", 
        SuperscriptBox["he", "m"], " ", 
        SuperscriptBox["se", "n"], " ", 
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"fi", " ", 
           SuperscriptBox["hi", "m"], " ", 
           SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"be", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", "fi", 
        " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "+", 
          RowBox[{"fe", " ", 
           SuperscriptBox["he", "m"], " ", 
           SuperscriptBox["se", "n"]}]}], ")"}]}], "+", 
       RowBox[{"fe", " ", "fi", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["he", "m"], " ", 
           SuperscriptBox["se", "n"]}], "+", 
          RowBox[{
           SuperscriptBox["hi", "m"], " ", 
           SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]], " ", "fe", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "+", 
          RowBox[{"fi", " ", 
           SuperscriptBox["hi", "m"], " ", 
           SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{
  3.841473758609313*^9, {3.841473835449188*^9, 3.841473871345511*^9}, {
   3.841473942037354*^9, 3.841473954254168*^9}, 3.841474100340481*^9, {
   3.84147476685644*^9, 3.841474775095293*^9}, 3.841476045318989*^9, 
   3.8414777300802317`*^9, 3.8414783236422462`*^9, 3.84147872300049*^9, 
   3.8417233829214067`*^9, 3.841725332120227*^9, 3.8417253769789133`*^9, 
   3.841730550697583*^9, 3.842417692743819*^9, 3.842418322017955*^9, 
   3.842418921149475*^9, 3.842419034306054*^9, 3.842419246557302*^9, 
   3.842419718822502*^9, 3.842614736999096*^9, 3.842617653154948*^9, 
   3.8430256357580013`*^9, 3.851410045076021*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"bf3121ec-3b55-41bd-9dd8-8e1084bc3efd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"flux", " ", "=", " ", 
    RowBox[{"kc", " ", 
     RowBox[{"dg", "/", 
      RowBox[{"(", 
       RowBox[{"km", " ", "+", " ", "dg"}], ")"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"efs", "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{"ef", "/.", 
       RowBox[{
        SuperscriptBox["he", "m"], "->", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ds", "+", 
            RowBox[{
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], " ", ")"}], "/", 
          SuperscriptBox["se", "n"]}], " ", 
         RowBox[{"Exp", "[", "u", "]"}]}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"den", "=", 
     RowBox[{"Denominator", "[", "efs", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"kcs", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"Numerator", "[", 
       RowBox[{
        RowBox[{"efs", "/", "ds"}], "/", "t0"}], "]"}], "/", 
      RowBox[{"Coefficient", "[", 
       RowBox[{"den", ",", "ds", ",", "1"}], "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"kms", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"Coefficient", "[", 
       RowBox[{"den", ",", "ds", ",", "0"}], "]"}], "/", 
      RowBox[{"Coefficient", "[", 
       RowBox[{"den", ",", "ds", ",", "1"}], "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"kcs", " ", "ds", " ", 
      RowBox[{"t0", "/", 
       RowBox[{"(", 
        RowBox[{"kms", " ", "+", "ds"}], ")"}]}]}], " ", "-", " ", "efs"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.841474785668188*^9, 3.841474796142109*^9}, {
   3.84172496925949*^9, 3.841724987978513*^9}, {3.8424183666946793`*^9, 
   3.842418444479279*^9}, {3.842418502915513*^9, 3.842418520869398*^9}, 
   3.842418578888966*^9, {3.842418928055436*^9, 3.842418950371931*^9}, {
   3.8424189828396673`*^9, 3.8424190024596767`*^9}, {3.842419089155011*^9, 
   3.842419118617543*^9}, {3.842419734609604*^9, 3.8424197346983356`*^9}, {
   3.842614755431531*^9, 3.84261479561362*^9}, 3.842614825712781*^9, {
   3.843025746259945*^9, 3.843025763022723*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"41049964-0d2a-4f8a-b10a-6033ba4fd2d2"],

Cell[BoxData[
 FractionBox[
  RowBox[{"be", " ", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"lam", " ", "u"}]], " ", "fi", " ", "r"}], 
  RowBox[{
   RowBox[{"be", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "u"], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"lam", " ", "u"}]], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"fi", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}]}]}]]], "Output",
 CellChangeTimes->{
  3.841474797696459*^9, 3.841476045388983*^9, 3.8414768121004753`*^9, 
   3.841477734924281*^9, 3.8414783270427847`*^9, 3.8414787231108522`*^9, 
   3.841723387505041*^9, 3.841724988746045*^9, 3.841725334225338*^9, 
   3.841725383019071*^9, 3.841730550749543*^9, 3.842418411376727*^9, 
   3.8424184452211437`*^9, 3.842418521420514*^9, 3.842418588931549*^9, 
   3.842419003211567*^9, 3.84241903693773*^9, {3.842419094810316*^9, 
   3.842419123785293*^9}, 3.842419248731276*^9, {3.842419727515362*^9, 
   3.842419735137388*^9}, {3.84261477785112*^9, 3.842614796094705*^9}, 
   3.8426148265069733`*^9, 3.842617653376691*^9, 3.843025765387411*^9, 
   3.851410045264407*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"0cc61e17-a94c-45fe-82ac-373900ea5c12"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", "u"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "be"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      SuperscriptBox["hi", "m"], " ", 
      SuperscriptBox["si", "n"]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"be", " ", 
      SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"fi", " ", "r"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"fe", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "u"], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.841474797696459*^9, 3.841476045388983*^9, 3.8414768121004753`*^9, 
   3.841477734924281*^9, 3.8414783270427847`*^9, 3.8414787231108522`*^9, 
   3.841723387505041*^9, 3.841724988746045*^9, 3.841725334225338*^9, 
   3.841725383019071*^9, 3.841730550749543*^9, 3.842418411376727*^9, 
   3.8424184452211437`*^9, 3.842418521420514*^9, 3.842418588931549*^9, 
   3.842419003211567*^9, 3.84241903693773*^9, {3.842419094810316*^9, 
   3.842419123785293*^9}, 3.842419248731276*^9, {3.842419727515362*^9, 
   3.842419735137388*^9}, {3.84261477785112*^9, 3.842614796094705*^9}, 
   3.8426148265069733`*^9, 3.842617653376691*^9, 3.843025765387411*^9, 
   3.8514100453390713`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"bcc2f9e9-f665-4bf0-843b-e5c83a68738c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.841474797696459*^9, 3.841476045388983*^9, 3.8414768121004753`*^9, 
   3.841477734924281*^9, 3.8414783270427847`*^9, 3.8414787231108522`*^9, 
   3.841723387505041*^9, 3.841724988746045*^9, 3.841725334225338*^9, 
   3.841725383019071*^9, 3.841730550749543*^9, 3.842418411376727*^9, 
   3.8424184452211437`*^9, 3.842418521420514*^9, 3.842418588931549*^9, 
   3.842419003211567*^9, 3.84241903693773*^9, {3.842419094810316*^9, 
   3.842419123785293*^9}, 3.842419248731276*^9, {3.842419727515362*^9, 
   3.842419735137388*^9}, {3.84261477785112*^9, 3.842614796094705*^9}, 
   3.8426148265069733`*^9, 3.842617653376691*^9, 3.843025765387411*^9, 
   3.8514100454696712`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"f34bcb58-3730-4c87-990b-ad381a7dd0df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"tradeoff", " ", "with", " ", "fe"}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"kcs", ",", "fe"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"1", "/", "kms"}], ",", "fe"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8414795034810038`*^9, 3.84147951307742*^9}, {
   3.84172562882626*^9, 3.841725636284844*^9}, 3.8417309341217527`*^9},
 CellLabel->"In[13]:=",ExpressionUUID->"83b3b5bd-d0b4-4240-ba4c-7918208b5890"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"be", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "lam", " ", "u"}]], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fi", " ", "r", 
    " ", 
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"fi", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"be", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], "2"]]}]], "Output",\

 CellChangeTimes->{{3.841479508548483*^9, 3.841479515261677*^9}, 
   3.841723405686021*^9, 3.8417254801744747`*^9, 3.841730551103104*^9, {
   3.842419096964218*^9, 3.842419126287344*^9}, 3.8424197724877367`*^9, 
   3.842420947386486*^9, 3.842614837258134*^9, 3.842617653465356*^9, 
   3.843025827476947*^9, 3.851410045519519*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"cc9b2f30-3ed1-4800-bd7b-fbfce357b573"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", "u"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["be", "3"], " ", 
       SuperscriptBox["\[ExponentialE]", "u"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]]}], ")"}], " ", 
       SuperscriptBox["fi", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", "lam", " ", "u"}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], "2"], " ", 
       SuperscriptBox["fe", "2"], " ", "fi", " ", 
       SuperscriptBox["hi", "m"], " ", "r", " ", 
       SuperscriptBox["si", "n"], " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
      RowBox[{"be", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", "fi", " ", "r"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", "fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"u", "+", 
            RowBox[{"lam", " ", "u"}]}]], " ", "fe", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "r"}], "+", 
            RowBox[{"fi", " ", 
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["be", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", "fi", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", "fi", " ", "r"}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "u"}]], " ", "fe", " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"fi", " ", 
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "u"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"fi", " ", "r"}], "+", 
            RowBox[{"2", " ", "fe", " ", 
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"fi", " ", 
                SuperscriptBox["hi", "m"], " ", 
                SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], 
        ")"}]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "be"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
        SuperscriptBox["hi", "m"], " ", 
        SuperscriptBox["si", "n"]}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"be", " ", 
        SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"fi", " ", "r"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"fi", " ", 
              SuperscriptBox["hi", "m"], " ", 
              SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
     "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.841479508548483*^9, 3.841479515261677*^9}, 
   3.841723405686021*^9, 3.8417254801744747`*^9, 3.841730551103104*^9, {
   3.842419096964218*^9, 3.842419126287344*^9}, 3.8424197724877367`*^9, 
   3.842420947386486*^9, 3.842614837258134*^9, 3.842617653465356*^9, 
   3.843025827476947*^9, 3.851410045820114*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"e63b6178-937d-4d80-ae86-d35739cee390"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "and", " ", "derivative", " ", "of", " ", "flux", " ", "can", " ", 
    "change", " ", "sign"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Simplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{"efs", ",", "fe"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.841725091984872*^9, 3.841725093233678*^9}, {
  3.8417256447819757`*^9, 3.841725655859585*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"7b1341f2-d4c3-4ff3-af82-3f07f8668cfd"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"be", " ", "ds", " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", "fi", " ", "r", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SuperscriptBox["be", "2"], " ", "fi"}], "-", 
        RowBox[{"2", " ", "be", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", "fi", 
         " ", "r"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", 
         SuperscriptBox["fe", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"ds", "+", 
           RowBox[{
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], " ", "t0"}], 
     ")"}], "/", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        SuperscriptBox["be", "2"], " ", "fi"}], "+", 
       RowBox[{"be", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"ds", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "u"], "+", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fe", " ", "fi"}], 
          "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
           "fi", " ", "r"}], "+", 
          RowBox[{"fe", " ", "fi", " ", 
           SuperscriptBox["hi", "m"], " ", 
           SuperscriptBox["si", "n"]}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", "fi", " ", 
           
           SuperscriptBox["hi", "m"], " ", 
           SuperscriptBox["si", "n"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"lam", " ", "u"}]], " ", "fe", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"fi", " ", 
              SuperscriptBox["hi", "m"], " ", 
              SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"ds", " ", 
           SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"fi", " ", 
              SuperscriptBox["hi", "m"], " ", 
              SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["hi", "m"], " ", 
           SuperscriptBox["si", "n"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"fi", " ", "r"}], "+", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
              RowBox[{"(", 
               RowBox[{"r", "+", 
                RowBox[{"fi", " ", 
                 SuperscriptBox["hi", "m"], " ", 
                 SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], 
         ")"}]}]}], ")"}], "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.841725093791459*^9, 3.8417254868732347`*^9, 
  3.841730551171014*^9, 3.842419128469512*^9, 3.8424197926746273`*^9, 
  3.842420959934204*^9, 3.842614864701613*^9, 3.84261765375035*^9, 
  3.8430258424551163`*^9, 3.843026399127953*^9, 3.851410046091988*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"96825b43-bc04-43fd-8593-e9550dbe6f10"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"potential", " ", "tradeoff", " ", "with", " ", "r"}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"kcs", ",", "r"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"1", "/", "kms"}], ",", "r"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8414795647151337`*^9, 3.841479568540127*^9}, {
  3.8430258853557158`*^9, 3.8430258864255247`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"0e43c2f4-f950-4ff0-885d-35af0c598a05"],

Cell[BoxData[
 FractionBox[
  RowBox[{"be", " ", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"lam", " ", "u"}]], " ", 
   SuperscriptBox["fi", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "u"], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      SuperscriptBox["hi", "m"], " ", 
      SuperscriptBox["si", "n"]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "u"], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.841479569241829*^9, 3.841723422978016*^9, 
  3.841730551348529*^9, 3.842419155806555*^9, 3.8424198284140577`*^9, 
  3.842420988361314*^9, 3.842614874795331*^9, 3.842617653779367*^9, 
  3.843025847796328*^9, 3.8514100461226807`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"56e4fbd2-07b2-4117-939d-a06a692acb96"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"u", "+", 
      RowBox[{"lam", " ", "u"}]}]], " ", "fe", " ", "fi", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"be", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"u", "+", 
            RowBox[{"lam", " ", "u"}]}]], " ", "fe"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", "fi"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "u"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "fe"}], "+", "fi"}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
       "fi", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "be"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"be", " ", 
        SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"fi", " ", "r"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"fi", " ", 
              SuperscriptBox["hi", "m"], " ", 
              SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
     "2"]}]]}]], "Output",
 CellChangeTimes->{3.841479569241829*^9, 3.841723422978016*^9, 
  3.841730551348529*^9, 3.842419155806555*^9, 3.8424198284140577`*^9, 
  3.842420988361314*^9, 3.842614874795331*^9, 3.842617653779367*^9, 
  3.843025847796328*^9, 3.851410046189075*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"af60808d-8301-448b-a980-2e2aa498aeab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "but", " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Simplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{"efs", ",", "r"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.841724222334382*^9, 3.841724275152905*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"d42b1db2-b558-412c-8ca9-2ef779bd6982"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"be", " ", "ds", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"lam", " ", "u"}]], " ", "fe", " ", 
    SuperscriptBox["fi", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["be", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", 
       SuperscriptBox["fe", "2"], " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"], " ", 
       RowBox[{"(", 
        RowBox[{"ds", "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
      RowBox[{"be", " ", "fe", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ds", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "u"], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"lam", " ", "u"}]]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["\[ExponentialE]", "u"], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"lam", " ", "u"}]]}]}], ")"}], " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], " ", "t0"}], ")"}],
   "/", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["be", "2"], " ", "fi"}], "+", 
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ds", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fe", " ", "fi"}], "+", 
        
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", "fi", 
         " ", "r"}], "+", 
        RowBox[{"fe", " ", "fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", "fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]], " ", "fe", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ds", " ", 
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"fi", " ", "r"}], "+", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}],
     ")"}], "2"]}]], "Output",
 CellChangeTimes->{{3.841724245025741*^9, 3.8417242756404667`*^9}, 
   3.84173055140427*^9, 3.84241915895651*^9, 3.84241984209552*^9, 
   3.842420996280195*^9, 3.842614879817939*^9, 3.842617653890256*^9, 
   3.843025863807685*^9, 3.8514100462876263`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"1fb23a5d-9c45-4f06-b045-9001081131c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"possible", " ", "tradeoff", " ", "with", " ", "fi"}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"kcs", ",", "fi"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"1", "/", "kms"}], ",", "fi"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.841477167001481*^9, 3.8414771809628057`*^9}, {
  3.841477842995348*^9, 3.8414778469775257`*^9}, {3.84147948714624*^9, 
  3.841479496427311*^9}, {3.842419873784541*^9, 3.842419874875396*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"75fada25-94e7-4b7f-80dd-7d454f6f33bb"],

Cell[BoxData[
 FractionBox[
  RowBox[{"be", " ", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", "lam", " ", "u"}]], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
   SuperscriptBox["r", "2"]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "u"], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{
  3.841477174107298*^9, 3.841477847435437*^9, 3.8414787236431093`*^9, {
   3.841479493085647*^9, 3.841479518120866*^9}, 3.841723409511919*^9, 
   3.841725491163858*^9, 3.841730551180051*^9, 3.8424191355071163`*^9, 
   3.842419798061615*^9, 3.842421015933432*^9, 3.8426148859023848`*^9, 
   3.842617653919095*^9, 3.843025928104772*^9, 3.851410046315184*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"3da74ce9-2da6-4684-bf36-ed91076daf43"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"u", "+", 
      RowBox[{"lam", " ", "u"}]}]], " ", 
    SuperscriptBox["fe", "2"], " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "be"}], " ", 
       SuperscriptBox["\[ExponentialE]", "u"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "r"}]}], 
     ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "be"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"be", " ", 
        SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"fi", " ", "r"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"fi", " ", 
              SuperscriptBox["hi", "m"], " ", 
              SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
     "2"]}]]}]], "Output",
 CellChangeTimes->{
  3.841477174107298*^9, 3.841477847435437*^9, 3.8414787236431093`*^9, {
   3.841479493085647*^9, 3.841479518120866*^9}, 3.841723409511919*^9, 
   3.841725491163858*^9, 3.841730551180051*^9, 3.8424191355071163`*^9, 
   3.842419798061615*^9, 3.842421015933432*^9, 3.8426148859023848`*^9, 
   3.842617653919095*^9, 3.843025928104772*^9, 3.8514100463488913`*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"3cdacad5-51b9-46ac-812f-dfc7fd3c2d7f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "but", " ", "derivative", " ", "of", " ", "flux", " ", "cannot", " ", 
    "change", " ", "sign"}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Simplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{"efs", ",", "fi"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.841724336431953*^9, 3.841724370395846*^9}, {
  3.841731610834552*^9, 3.841731616751582*^9}, {3.842421031074114*^9, 
  3.842421031277823*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"6da88d09-2d47-44ec-9d0b-910de6d2728a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"be", " ", "ds", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "lam", " ", "u"}]], " ", 
    SuperscriptBox["fe", "2"], " ", 
    SuperscriptBox["r", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "be"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
       RowBox[{"(", 
        RowBox[{"ds", "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], " ", "t0"}], ")"}],
   "/", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["be", "2"], " ", "fi"}], "+", 
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ds", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fe", " ", "fi"}], "+", 
        
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", "fi", 
         " ", "r"}], "+", 
        RowBox[{"fe", " ", "fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", "fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]], " ", "fe", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ds", " ", 
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"fi", " ", "r"}], "+", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}],
     ")"}], "2"]}]], "Output",
 CellChangeTimes->{3.841724337416782*^9, 3.841725497081234*^9, 
  3.841730551237265*^9, 3.842419139612151*^9, 3.842421022888736*^9, 
  3.842614892540937*^9, 3.842617653998394*^9, 3.8430259661635838`*^9, 
  3.8514100464107933`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"61943c54-6cc4-47c6-9358-b3a6c8c10374"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"possible", " ", "tradeoff", " ", "with", " ", "be"}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"kcs", ",", "be"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"1", "/", "kms"}], ",", "be"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.841479535465026*^9, 3.8414795441500587`*^9}, {
  3.841725587550446*^9, 3.841725606652136*^9}, {3.842419881097075*^9, 
  3.842419884033112*^9}, {3.842618281450572*^9, 3.842618289010374*^9}, {
  3.84261832669628*^9, 3.842618331304748*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"bd4a7575-8426-4c0d-8077-c5a8be1e72b1"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", "lam", " ", "u"}]], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", "fi", 
   " ", "r", " ", 
   RowBox[{"(", 
    RowBox[{"r", "+", 
     RowBox[{"fi", " ", 
      SuperscriptBox["hi", "m"], " ", 
      SuperscriptBox["si", "n"]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "u"], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8414795448193617`*^9, 3.841723418512617*^9, 
  3.8417255922455387`*^9, 3.8417305512799397`*^9, 3.842419143797471*^9, 
  3.842419821793028*^9, 3.842421074875622*^9, 3.842614899627574*^9, 
  3.8426176540282917`*^9, 3.843025975012886*^9, 3.8514100464381332`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"61947154-8df0-4414-855d-4fb800c64a82"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", "u"]}], " ", "fi", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "be"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"be", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "u"], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"fi", " ", 
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "be"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"be", " ", 
          SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"fi", " ", "r"}], "+", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"fi", " ", 
                SuperscriptBox["hi", "m"], " ", 
                SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
      "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"be", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "u"], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"fi", " ", 
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"be", " ", 
          SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"fi", " ", "r"}], "+", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"fi", " ", 
                SuperscriptBox["hi", "m"], " ", 
                SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], 
        ")"}]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "be"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
        SuperscriptBox["hi", "m"], " ", 
        SuperscriptBox["si", "n"]}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"be", " ", 
        SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"fi", " ", "r"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"fi", " ", 
              SuperscriptBox["hi", "m"], " ", 
              SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
     "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8414795448193617`*^9, 3.841723418512617*^9, 
  3.8417255922455387`*^9, 3.8417305512799397`*^9, 3.842419143797471*^9, 
  3.842419821793028*^9, 3.842421074875622*^9, 3.842614899627574*^9, 
  3.8426176540282917`*^9, 3.843025975012886*^9, 3.851410046771861*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"8c79fc88-d1f8-46dd-ade6-68c56160632c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "and", " ", "derivative", " ", "of", " ", "flux", " ", "can", " ", 
    "change", " ", "sign"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Simplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{"efs", ",", "be"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8417242887776937`*^9, 3.8417243258344584`*^9}, {
  3.841725596752211*^9, 3.84172559766343*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"ea80bdc5-cdc9-41de-b339-d8a6b0d795b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"ds", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"lam", " ", "u"}]], " ", "fe", " ", "fi", " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox["be", "2"], " ", "fi"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ds", " ", 
          SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"fi", " ", 
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"fi", " ", "r"}], "+", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"fi", " ", 
                SuperscriptBox["hi", "m"], " ", 
                SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], 
        ")"}]}]}], ")"}], " ", "t0"}], ")"}], "/", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["be", "2"], " ", "fi"}], "+", 
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ds", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fe", " ", "fi"}], "+", 
        
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", "fi", 
         " ", "r"}], "+", 
        RowBox[{"fe", " ", "fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", "fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]], " ", "fe", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ds", " ", 
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"fi", " ", "r"}], "+", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}],
     ")"}], "2"]}]], "Output",
 CellChangeTimes->{3.841724300398941*^9, 3.841725598157753*^9, 
  3.8417305513393593`*^9, 3.842419149945444*^9, 3.842421105791235*^9, 
  3.842614904782915*^9, 3.842617654246286*^9, 3.843026269600382*^9, 
  3.851410046885807*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"1429eecd-7523-4d42-b253-6c1f026a7de3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"tradeoff", " ", "if", " ", "fe"}], " ", ">=", " ", "fi"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"dbefegrfi", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Factor", "[", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"1", "/", "kms"}], ",", "be"}], "]"}], "/.", 
       RowBox[{"fe", "->", 
        RowBox[{"fi", "+", "df"}]}]}], "]"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8430301769250107`*^9, 3.8430301862849503`*^9}, 
   3.8430302910576887`*^9, {3.8430303577482367`*^9, 3.843030367478978*^9}, {
   3.8430306033708553`*^9, 3.8430306072064247`*^9}, {3.84303067283987*^9, 
   3.843030677812018*^9}, 3.8514100048332367`*^9, {3.851410462959362*^9, 
   3.851410474625152*^9}, 
   3.851410649239603*^9},ExpressionUUID->"5088fd25-e247-41a7-92eb-\
49063f0d848d"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "u"], " ", 
      RowBox[{"(", 
       RowBox[{"df", "+", "fi"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["be", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", "u"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"lam", " ", "u"}]]}], ")"}], " ", 
         SuperscriptBox["fi", "2"]}], "+", 
        RowBox[{"4", " ", "be", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"u", "+", 
           RowBox[{"lam", " ", "u"}]}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fi", " ", 
         RowBox[{"(", 
          RowBox[{"df", "+", "fi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"df", "+", "fi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"df", " ", 
            SuperscriptBox["\[ExponentialE]", "u"], " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}], "+", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"lam", " ", "u"}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", "r"}], "+", 
                 RowBox[{"fi", " ", 
                  SuperscriptBox["hi", "m"], " ", 
                  SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{"fi", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["\[ExponentialE]", "u"], " ", 
               SuperscriptBox["fi", "2"], " ", 
               SuperscriptBox["hi", 
                RowBox[{"2", " ", "m"}]], " ", 
               SuperscriptBox["si", 
                RowBox[{"2", " ", "n"}]]}], "+", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"lam", " ", "u"}]], " ", "r", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", "r"}], "+", 
                 RowBox[{"fi", " ", 
                  SuperscriptBox["hi", "m"], " ", 
                  SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"u", "+", 
                 RowBox[{"lam", " ", "u"}]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", 
                  SuperscriptBox["r", "2"]}], "+", 
                 RowBox[{"3", " ", "fi", " ", 
                  SuperscriptBox["hi", "m"], " ", "r", " ", 
                  SuperscriptBox["si", "n"]}], "+", 
                 RowBox[{
                  SuperscriptBox["fi", "2"], " ", 
                  SuperscriptBox["hi", 
                   RowBox[{"2", " ", "m"}]], " ", 
                  SuperscriptBox["si", 
                   RowBox[{"2", " ", "n"}]]}]}], ")"}]}]}], ")"}]}]}], 
          ")"}]}]}], ")"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "be"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"df", "+", "fi"}], ")"}], " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"be", " ", 
          SuperscriptBox["\[ExponentialE]", "u"], " ", "fi"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"df", " ", 
             SuperscriptBox["\[ExponentialE]", "u"], " ", 
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"fi", " ", 
                SuperscriptBox["hi", "m"], " ", 
                SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
            RowBox[{"fi", " ", 
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", "u"], " ", "r"}], "+", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", "u"], " ", "fi", " ", 
                SuperscriptBox["hi", "m"], " ", 
                SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
       "2"]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.8430301873475313`*^9, 3.8430302919287853`*^9, {3.84303035871647*^9, 
   3.843030367898857*^9}, 3.843030608286544*^9, 3.843030682616107*^9, 
   3.851410047665209*^9, 3.851410475406245*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"2979d0fd-55d7-4b07-9162-9a38f53e9f33"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"dbefegrfi", "/.", 
   RowBox[{"df", "->", "0"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.851410452710168*^9, 3.851410483433785*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"ebfc278e-b4b8-4167-8f6c-dc4ae6651da5"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "u"], " ", "fi", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["be", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", "u"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"lam", " ", "u"}]]}], ")"}]}], "+", 
        RowBox[{"4", " ", "be", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"u", "+", 
           RowBox[{"lam", " ", "u"}]}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "u"], " ", 
            SuperscriptBox["fi", "2"], " ", 
            SuperscriptBox["hi", 
             RowBox[{"2", " ", "m"}]], " ", 
            SuperscriptBox["si", 
             RowBox[{"2", " ", "n"}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"lam", " ", "u"}]], " ", "r", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", "r"}], "+", 
              RowBox[{"fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"u", "+", 
              RowBox[{"lam", " ", "u"}]}]], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               SuperscriptBox["r", "2"]}], "+", 
              RowBox[{"3", " ", "fi", " ", 
               SuperscriptBox["hi", "m"], " ", "r", " ", 
               SuperscriptBox["si", "n"]}], "+", 
              RowBox[{
               SuperscriptBox["fi", "2"], " ", 
               SuperscriptBox["hi", 
                RowBox[{"2", " ", "m"}]], " ", 
               SuperscriptBox["si", 
                RowBox[{"2", " ", "n"}]]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
     ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "be"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", "fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"be", " ", 
          SuperscriptBox["\[ExponentialE]", "u"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"lam", " ", "u"}]], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "u"], " ", "r"}], "+", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "u"], " ", "fi", " ", 
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], "2"]}], ")"}]}],
    ")"}]}]], "Input",
 CellChangeTimes->{{3.851410514878605*^9, 
  3.851410517375436*^9}},ExpressionUUID->"4a052097-6a64-48ed-9131-\
f850f10bc2dc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "and", " ", "derivative", " ", "of", " ", "flux", " ", "can", " ", "still",
     " ", "change", " ", "sign"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"efs", ",", "be"}], "]"}], "/.", 
    RowBox[{"fe", "->", 
     RowBox[{"fi", "+", "df"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.851410520019393*^9, 3.851410548392672*^9}, {
  3.851410612866888*^9, 
  3.851410629167604*^9}},ExpressionUUID->"786def3c-0aa9-436b-b1e5-\
3a09898c8d3e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"ds", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"lam", " ", "u"}]], " ", "fi", " ", 
    RowBox[{"(", 
     RowBox[{"df", "+", "fi"}], ")"}], " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox["be", "2"], " ", "fi"}], "+", 
      RowBox[{"df", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", "fi", 
       " ", 
       SuperscriptBox["hi", "m"], " ", "r", " ", 
       SuperscriptBox["si", "n"]}], "+", 
      RowBox[{"df", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", "fi", " ", 
       SuperscriptBox["hi", "m"], " ", "r", " ", 
       SuperscriptBox["si", "n"]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", 
       SuperscriptBox["fi", "2"], " ", 
       SuperscriptBox["hi", "m"], " ", "r", " ", 
       SuperscriptBox["si", "n"]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       SuperscriptBox["fi", "2"], " ", 
       SuperscriptBox["hi", "m"], " ", "r", " ", 
       SuperscriptBox["si", "n"]}], "+", 
      RowBox[{"df", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", 
       RowBox[{"(", 
        RowBox[{"df", "+", "fi"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"ds", "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
      RowBox[{"df", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"u", "+", 
         RowBox[{"lam", " ", "u"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"df", "+", "fi"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"ds", "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"lam", " ", "u"}]], " ", "fi", " ", 
       RowBox[{"(", 
        RowBox[{"df", "+", "fi"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"ds", "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"u", "+", 
         RowBox[{"lam", " ", "u"}]}]], " ", "fi", " ", 
       RowBox[{"(", 
        RowBox[{"df", "+", "fi"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"ds", "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"fi", " ", 
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], " ", "t0"}], ")"}],
   "/", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["be", "2"], " ", "fi"}], "+", 
     RowBox[{"be", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ds", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "u"], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"lam", " ", "u"}]]}], ")"}], " ", "fi", " ", 
         RowBox[{"(", 
          RowBox[{"df", "+", "fi"}], ")"}]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], " ", "fi", 
         " ", "r"}], "+", 
        RowBox[{"fi", " ", 
         RowBox[{"(", 
          RowBox[{"df", "+", "fi"}], ")"}], " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], " ", "fi", " ", 
         RowBox[{"(", 
          RowBox[{"df", "+", "fi"}], ")"}], " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"lam", " ", "u"}]], " ", 
         RowBox[{"(", 
          RowBox[{"df", "+", "fi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "lam"}], ")"}], " ", "u"}]], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"lam", " ", "u"}]]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"df", "+", "fi"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"fi", " ", 
         SuperscriptBox["hi", "m"], " ", "r", " ", 
         SuperscriptBox["si", "n"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "u"], " ", 
         RowBox[{"(", 
          RowBox[{"df", "+", "fi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"ds", "+", 
           RowBox[{
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
   "2"]}]], "Output",
 CellChangeTimes->{3.8514105504367*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"367bb310-b24a-4aa3-b5be-86ac2c54dfad"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"tradeoff", " ", "for", " ", "large", " ", "negative", " ", 
    RowBox[{"u", " ", ":", " ", 
     RowBox[{
      RowBox[{"E", "^", "u"}], " ", "goes", " ", "to", " ", "zero"}]}]}], " ",
    "*)"}], 
  RowBox[{"Simplify", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"1", "/", "kms"}], ",", "be"}], "]"}], "/.", 
        RowBox[{"u", "->", 
         RowBox[{"Log", "[", "e", "]"}]}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.843027395295635*^9, 3.843027410323008*^9}, {
  3.84302764783575*^9, 3.843027653705207*^9}, {3.843027854662133*^9, 
  3.84302786112421*^9}, {3.843030706207282*^9, 3.8430307076246853`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"43e84820-5407-4f2e-8688-13738f30dc60"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["e", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "lam"}]}]], " ", 
    SuperscriptBox["fe", "2"], " ", "fi", " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "r"}], "+", 
      RowBox[{"fi", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "be"}], "+", 
       RowBox[{"fe", " ", 
        SuperscriptBox["hi", "m"], " ", 
        SuperscriptBox["si", "n"]}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"be", " ", "e", " ", "fi"}], "+", 
       RowBox[{
        SuperscriptBox["e", "lam"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"fi", " ", "r"}], "+", 
          RowBox[{"e", " ", "fe", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"fi", " ", 
              SuperscriptBox["hi", "m"], " ", 
              SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
     "2"]}]]}]], "Output",
 CellChangeTimes->{
  3.843027412299979*^9, {3.843027855715068*^9, 3.843027861505356*^9}, 
   3.85141004830235*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"c858529a-05af-4c5c-a275-3e60c7294bb9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "no", " ", "tradeoff", " ", "for", " ", "large", " ", "positive", " ", 
    RowBox[{"u", " ", ":", " ", 
     RowBox[{
      RowBox[{"E", "^", "u"}], " ", "goes", " ", "to", " ", "infinity"}]}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"1", "/", "kms"}], ",", "be"}], "]"}], "/.", 
        RowBox[{"u", "->", 
         RowBox[{"-", 
          RowBox[{"Log", "[", "e", "]"}]}]}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8430307500372543`*^9, 3.843030833615088*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"7b6c10ca-5075-4829-95f4-e5731339253b"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"e", " ", 
      SuperscriptBox["hi", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "m"}]], " ", 
      SuperscriptBox["si", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "n"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["be", "2"], " ", 
         SuperscriptBox["e", 
          RowBox[{"2", " ", "lam"}]], " ", 
         SuperscriptBox["fi", "2"]}], "+", 
        RowBox[{"4", " ", "be", " ", 
         SuperscriptBox["e", "lam"], " ", "fe", " ", "fi", " ", 
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"fi", " ", 
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
        RowBox[{"fe", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["e", "lam"]}], " ", 
            SuperscriptBox["fi", "2"], " ", 
            SuperscriptBox["hi", "m"], " ", "r", " ", 
            SuperscriptBox["si", "n"]}], "+", 
           RowBox[{"fe", " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", "r"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 SuperscriptBox["e", "lam"]}], ")"}], " ", "fi", " ", 
               SuperscriptBox["hi", "m"], " ", 
               SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
     ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"fe", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"be", " ", 
          SuperscriptBox["e", "lam"], " ", "fi"}], "+", 
         RowBox[{"e", " ", "fi", " ", "r"}], "+", 
         RowBox[{"fe", " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"fi", " ", 
             SuperscriptBox["hi", "m"], " ", 
             SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}], "2"]}], ")"}]}],
    ")"}]}]], "Output",
 CellChangeTimes->{
  3.8430307807226467`*^9, {3.8430308267028418`*^9, 3.843030834679214*^9}, 
   3.851410048710195*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"49857d3d-c18b-4dd0-9e4a-1702a2c236d3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"--", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", "Simplification"}]}]}]}]}]}], " ", "with", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Kd", "--"}], "--"}], "--"}], 
   RowBox[{"--", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", "--"}]}]}]}]}]}]}]}]}]}]}]}], " ", "*)"}]], "Input",\

 CellChangeTimes->{{3.842420286832225*^9, 3.8424202926784*^9}, {
  3.842617099557169*^9, 3.8426171046910877`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"7e630c0b-7975-48b3-be46-7d490a69c82a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kcskd", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Cancel", "[", 
    RowBox[{"Simplify", "[", 
     RowBox[{"kcs", "/.", 
      RowBox[{"{", 
       RowBox[{"be", "->", 
        RowBox[{"Kd", " ", "fe"}]}], "}"}]}], "]"}], "]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.842615054627246*^9, 3.842615069983181*^9}, {
   3.842615104116658*^9, 3.842615149746785*^9}, {3.842615189943832*^9, 
   3.842615218351756*^9}, {3.8426154529725847`*^9, 3.842615476687105*^9}, {
   3.843027235492433*^9, 3.843027240554927*^9}, {3.843031677986835*^9, 
   3.843031685186219*^9}, 3.8430317953587933`*^9},
 CellLabel->"In[29]:=",ExpressionUUID->"4ba750a7-5ae6-4c32-b238-e502e0932781"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"lam", " ", "u"}]], " ", "fi", " ", "Kd", " ", "r"}], 
  RowBox[{
   RowBox[{
    SuperscriptBox["\[ExponentialE]", "u"], " ", "fi", " ", "Kd"}], "+", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"u", "+", 
      RowBox[{"lam", " ", "u"}]}]], " ", 
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"fi", " ", 
       SuperscriptBox["hi", "m"], " ", 
       SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"lam", " ", "u"}]], " ", 
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"fi", " ", 
       RowBox[{"(", 
        RowBox[{"Kd", "+", 
         RowBox[{
          SuperscriptBox["hi", "m"], " ", 
          SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}]]], "Output",
 CellChangeTimes->{
  3.842615071241089*^9, {3.842615107968871*^9, 3.8426151218989677`*^9}, 
   3.8426151538660173`*^9, {3.842615193372632*^9, 3.842615218779104*^9}, {
   3.842615457794221*^9, 3.842615480751873*^9}, 3.842617656066515*^9, {
   3.843027238398334*^9, 3.843027241819462*^9}, 3.843031686386238*^9, 
   3.843031796167961*^9, 3.851410048760097*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"7685c738-7b55-4d3d-ab90-531ea0d54051"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"kcskd", "-", 
     RowBox[{"r", " ", "/", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "lam"}], ")"}], "u"}], "]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"Exp", "[", "u", "]"}]}], ")"}], " ", "Q"}]}], ")"}]}]}], 
    ")"}], "/.", 
   RowBox[{"Q", "->", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"r", "/", "fi"}], "+", 
       RowBox[{
        RowBox[{"hi", "^", "m"}], " ", 
        RowBox[{"si", "^", "n"}]}]}], ")"}], "/", "Kd"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.843031337060857*^9, 3.843031405928629*^9}, {
  3.843031690542129*^9, 3.843031692049271*^9}, {3.843031799049005*^9, 
  3.843031800645949*^9}, {3.843034270819065*^9, 3.84303431870895*^9}, {
  3.843034356891934*^9, 3.843034379673114*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"ce5affb3-792d-4610-a90d-4e89d337afeb"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.843034381247012*^9, 3.851410048820024*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"7a824b0d-57df-48a7-9352-9fcba20283d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kmskd", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Cancel", "[", 
    RowBox[{"Simplify", "[", 
     RowBox[{"kms", "/.", 
      RowBox[{"{", 
       RowBox[{"be", "->", 
        RowBox[{"Kd", " ", "fe"}]}], "}"}]}], "]"}], "]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.842615505116506*^9, 3.842615509762827*^9}, {
   3.843027245201548*^9, 3.843027245967388*^9}, {3.8430316424707413`*^9, 
   3.84303167093262*^9}, 3.8430321629772587`*^9},
 CellLabel->"In[31]:=",ExpressionUUID->"5242294f-4f62-4acb-824f-fe1eb6a90bcc"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", "u"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "Kd"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["\[ExponentialE]", "u"]}], ")"}], " ", 
      SuperscriptBox["hi", "m"], " ", 
      SuperscriptBox["si", "n"]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "u"], " ", "fe", " ", "fi", " ", 
      "Kd"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", "fi", " ", "r"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"u", "+", 
        RowBox[{"lam", " ", "u"}]}]], " ", "fe", " ", 
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"fe", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "u"], " ", "fi", " ", "Kd"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"u", "+", 
        RowBox[{"lam", " ", "u"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"fi", " ", 
         SuperscriptBox["hi", "m"], " ", 
         SuperscriptBox["si", "n"]}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"lam", " ", "u"}]], " ", 
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"fi", " ", 
         RowBox[{"(", 
          RowBox[{"Kd", "+", 
           RowBox[{
            SuperscriptBox["hi", "m"], " ", 
            SuperscriptBox["si", "n"]}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]]], "Output",
 CellChangeTimes->{
  3.842615510321641*^9, 3.842617656115171*^9, 3.84302724714925*^9, {
   3.843031661868976*^9, 3.843031672723133*^9}, 3.8430321634886723`*^9, 
   3.851410048872303*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"28939240-85e2-4769-bad8-2d8eeff680c5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"kmskd", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "Kd"}], " ", "+", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"Exp", "[", "u", "]"}]}], ")"}], 
         RowBox[{"hi", "^", "m"}], " ", 
         RowBox[{"si", "^", "n"}]}]}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "u"}], 
            RowBox[{"(", 
             RowBox[{"1", "-", "lam"}], ")"}]}], "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"r", "/", "fe"}], "/", "Kd"}], " ", "+", " ", 
            RowBox[{
             RowBox[{"Exp", "[", "u", "]"}], "Q"}]}], ")"}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Exp", "[", "u", "]"}], "+", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"lam", " ", "u"}], "]"}], 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"Exp", "[", "u", "]"}]}], ")"}], "Q"}]}], ")"}]}]}], 
        ")"}]}]}]}], ")"}], "/.", 
   RowBox[{"Q", "->", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"r", "/", "fi"}], "+", 
       RowBox[{
        RowBox[{"hi", "^", "m"}], " ", 
        RowBox[{"si", "^", "n"}]}]}], ")"}], "/", "Kd"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.8430321551339903`*^9, 3.84303217522799*^9}, {
  3.843032210271941*^9, 3.8430323274985743`*^9}, {3.8430343911603622`*^9, 
  3.8430344334855747`*^9}, {3.84303447205062*^9, 3.8430344846813593`*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"c4cf9641-002f-47a4-a79c-ad215dbe96d0"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.843032329210915*^9, 3.843034436456381*^9, 
  3.8430344853925657`*^9, 3.851410048908409*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"209dde81-bd49-4935-9830-bec64218038e"]
}, Open  ]]
},
WindowSize->{808, 911},
WindowMargins->{{Automatic, 735}, {Automatic, 210}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a1b6f9ab-873f-4c48-9f8b-59a0a050b492"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1030, 21, 73, "Input",ExpressionUUID->"924e9c81-ef04-4688-93c3-7efd89ddaaa2"],
Cell[1591, 43, 2820, 75, 136, "Input",ExpressionUUID->"1542c939-5935-4e7e-9958-f2913ee5ebfe"],
Cell[CellGroupData[{
Cell[4436, 122, 754, 19, 33, "Input",ExpressionUUID->"b3812daf-33c8-4baf-8461-279620b68c89"],
Cell[5193, 143, 2488, 64, 106, "Output",ExpressionUUID->"8c2bb431-bd51-4f37-87a8-903b64091f8d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7718, 212, 2022, 44, 94, "Input",ExpressionUUID->"b94d20ba-c28d-4fdc-864f-fba3ed0e73af"],
Cell[9743, 258, 3351, 91, 84, "Output",ExpressionUUID->"bf3121ec-3b55-41bd-9dd8-8e1084bc3efd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13131, 354, 2338, 61, 140, "Input",ExpressionUUID->"41049964-0d2a-4f8a-b10a-6033ba4fd2d2"],
Cell[15472, 417, 1506, 34, 61, "Output",ExpressionUUID->"0cc61e17-a94c-45fe-82ac-373900ea5c12"],
Cell[16981, 453, 2424, 62, 63, "Output",ExpressionUUID->"bcc2f9e9-f665-4bf0-843b-e5c83a68738c"],
Cell[19408, 517, 798, 12, 34, "Output",ExpressionUUID->"f34bcb58-3730-4c87-990b-ad381a7dd0df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20243, 534, 628, 15, 73, "Input",ExpressionUUID->"83b3b5bd-d0b4-4240-ba4c-7918208b5890"],
Cell[20874, 551, 1551, 41, 64, "Output",ExpressionUUID->"cc9b2f30-3ed1-4800-bd7b-fbfce357b573"],
Cell[22428, 594, 4750, 126, 109, "Output",ExpressionUUID->"e63b6178-937d-4d80-ae86-d35739cee390"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27215, 725, 498, 11, 52, "Input",ExpressionUUID->"7b1341f2-d4c3-4ff3-af82-3f07f8668cfd"],
Cell[27716, 738, 4244, 112, 131, "Output",ExpressionUUID->"96825b43-bc04-43fd-8593-e9550dbe6f10"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31997, 855, 623, 15, 73, "Input",ExpressionUUID->"0e43c2f4-f950-4ff0-885d-35af0c598a05"],
Cell[32623, 872, 1716, 46, 64, "Output",ExpressionUUID->"56e4fbd2-07b2-4117-939d-a06a692acb96"],
Cell[34342, 920, 2370, 66, 64, "Output",ExpressionUUID->"af60808d-8301-448b-a980-2e2aa498aeab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36749, 991, 340, 7, 52, "Input",ExpressionUUID->"d42b1db2-b558-412c-8ca9-2ef779bd6982"],
Cell[37092, 1000, 4297, 117, 131, "Output",ExpressionUUID->"1fb23a5d-9c45-4f06-b045-9001081131c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41426, 1122, 717, 16, 73, "Input",ExpressionUUID->"75fada25-94e7-4b7f-80dd-7d454f6f33bb"],
Cell[42146, 1140, 1413, 35, 64, "Output",ExpressionUUID->"3da74ce9-2da6-4684-bf36-ed91076daf43"],
Cell[43562, 1177, 2174, 60, 64, "Output",ExpressionUUID->"3cdacad5-51b9-46ac-812f-dfc7fd3c2d7f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45773, 1242, 549, 12, 52, "Input",ExpressionUUID->"6da88d09-2d47-44ec-9d0b-910de6d2728a"],
Cell[46325, 1256, 3408, 94, 108, "Output",ExpressionUUID->"61943c54-6cc4-47c6-9358-b3a6c8c10374"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49770, 1355, 764, 17, 73, "Input",ExpressionUUID->"bd4a7575-8426-4c0d-8077-c5a8be1e72b1"],
Cell[50537, 1374, 1450, 38, 64, "Output",ExpressionUUID->"61947154-8df0-4414-855d-4fb800c64a82"],
Cell[51990, 1414, 5311, 144, 131, "Output",ExpressionUUID->"8c79fc88-d1f8-46dd-ade6-68c56160632c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57338, 1563, 499, 11, 52, "Input",ExpressionUUID->"ea80bdc5-cdc9-41de-b339-d8a6b0d795b5"],
Cell[57840, 1576, 4255, 116, 131, "Output",ExpressionUUID->"1429eecd-7523-4d42-b253-6c1f026a7de3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62132, 1697, 916, 22, 52, "Input",ExpressionUUID->"5088fd25-e247-41a7-92eb-49063f0d848d"],
Cell[63051, 1721, 5713, 147, 131, "Output",ExpressionUUID->"2979d0fd-55d7-4b07-9162-9a38f53e9f33"]
}, Open  ]],
Cell[68779, 1871, 264, 5, 30, "Input",ExpressionUUID->"ebfc278e-b4b8-4167-8f6c-dc4ae6651da5"],
Cell[69046, 1878, 3755, 102, 104, "Input",ExpressionUUID->"4a052097-6a64-48ed-9131-f850f10bc2dc"],
Cell[CellGroupData[{
Cell[72826, 1984, 573, 15, 52, "Input",ExpressionUUID->"786def3c-0aa9-436b-b1e5-3a09898c8d3e"],
Cell[73402, 2001, 6362, 182, 200, "Output",ExpressionUUID->"367bb310-b24a-4aa3-b5be-86ac2c54dfad"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79801, 2188, 993, 25, 52, "Input",ExpressionUUID->"43e84820-5407-4f2e-8688-13738f30dc60"],
Cell[80797, 2215, 1335, 41, 64, "Output",ExpressionUUID->"c858529a-05af-4c5c-a275-3e60c7294bb9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82169, 2261, 919, 25, 52, "Input",ExpressionUUID->"7b6c10ca-5075-4829-95f4-e5731339253b"],
Cell[83091, 2288, 2433, 69, 85, "Output",ExpressionUUID->"49857d3d-c18b-4dd0-9e4a-1702a2c236d3"]
}, Open  ]],
Cell[85539, 2360, 786, 26, 30, "Input",ExpressionUUID->"7e630c0b-7975-48b3-be46-7d490a69c82a"],
Cell[CellGroupData[{
Cell[86350, 2390, 695, 15, 30, "Input",ExpressionUUID->"4ba750a7-5ae6-4c32-b238-e502e0932781"],
Cell[87048, 2407, 1299, 34, 61, "Output",ExpressionUUID->"7685c738-7b55-4d3d-ab90-531ea0d54051"]
}, Open  ]],
Cell[CellGroupData[{
Cell[88384, 2446, 1054, 30, 30, "Input",ExpressionUUID->"ce5affb3-792d-4610-a90d-4e89d337afeb"],
Cell[89441, 2478, 171, 2, 34, "Output",ExpressionUUID->"7a824b0d-57df-48a7-9352-9fcba20283d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89649, 2485, 548, 13, 30, "Input",ExpressionUUID->"5242294f-4f62-4acb-824f-fe1eb6a90bcc"],
Cell[90200, 2500, 2040, 61, 63, "Output",ExpressionUUID->"28939240-85e2-4769-bad8-2d8eeff680c5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92277, 2566, 1850, 55, 94, "Input",ExpressionUUID->"c4cf9641-002f-47a4-a79c-ad215dbe96d0"],
Cell[94130, 2623, 220, 3, 34, "Output",ExpressionUUID->"209dde81-bd49-4935-9830-bec64218038e"]
}, Open  ]]
}
]
*)

